geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aaron Mulder" <ammul...@alumni.princeton.edu>
Subject Re: plugin site(s?) need to be updated with newer versions
Date Fri, 04 Aug 2006 14:50:32 GMT
Actually, the branches/1.1.1 version is still 1.1.1-SNAPSHOT.  I'll
update the plugins to support 1.1.1 once it is released.  I'd also
like to at least test the installation of each of the plugins before
marking them as supporting the official release.

We talked about the versioning before, and at this point, I'm still of
the opinion that I'd rather actually test before claiming
compatibility so people don't have trouble with plugins that don't
install because we overlooked something and just claimed broad 1.1.*
compatibility.

What I'll probably do with the snapshot releases is mark the plugins
as supporting them, but change the site generation so it doesn't list
them on the web pages.  That will let us test during the development
cycle without cluttering up the page with a lot of snapshot versions.

Thanks,
    Aaron

On 8/4/06, Joe Bohn <joe.bohn@earthlink.net> wrote:
> It appears that the plugin site (geronimoplugins.com) needs to be
> updated to reflect the new Geronimo version numbers.  At the moment, if
> you search for plugins using the 1.1 branch image (Geronimo
> 1.1.2-SNAPSHOT) or with a 1.1.1 branch image (Geronimo 1.1.1) none of
> the plugins are marked as available.  The metadata for the plugins only
> indicates that they are valid for Geronimo 1.1.1-SNAPSHOT (this no
> longer exists) or Geronimo 1.1.
>
> Can somebody with the proper authority update the geronimoplugins.com
> site?  Are there other plugin sites that need to be updated?
>
> Also, would it make sense relax the version verification some to ignore
> anything in a version following the "-" on the server version?  If the
> plugin as only specified as "1.1.1" and we didn't include the
> "-SNAPSHOT" from a pre-release image then the plugin registry wouldn't
> have to change when we cut the official release.  It seems reasonable to
> me that a plugin targeted for 1.1.1 should be mostly functional with a
> SNAPSHOT drop of 1.1.1 prior to the official release.  thoughts?
>
> Joe
>
>

Mime
View raw message